Graphics disorder, a large "claw" ('>') appearing

Bug #1508905 reported by Ivo Xavier on 2015-10-22
70
This bug affects 15 people
Affects Status Importance Assigned to Milestone
Canonical System Image
Medium
Michał Sawicz
Today Scope
Undecided
Unassigned
unity8 (Ubuntu)
Medium
Albert Astals Cid

Bug Description

Hi,

Currently I have this bug. It was already present in the OTA-6. Usually a reboot fix the problem, but after a while it come back again.

It only appears ate the bottom of the scope! If I swipe back to the top the "claw" fade out.

I've attached a screenshot.

Thanks!

Related branches

Ivo Xavier (ivoxavier) wrote :
Kyle Nitzsche (knitzsche) wrote :

Hi!

Thanks for reporting this, and sorry you are having a problem!

Can you provide a little more information to help debug this?

1) What version of the Today scope do you have? (To find out, you can go to Apps > Ubuntu Store > and search for "Today")

2) Have you disabled any scopes from Today scope Settings? Please provide a screenshot of Today scope Settings.

3) Are you using software released for typical end users, or are you using some developer channel to get software?

4) What is your device?

5) If you are technical on Ubuntu, can you also provide the output of the following two commands:

phablet@ubuntu-phablet:~$ system-image-cli -i

phablet@ubuntu-phablet:~$ click list

Thanks!

Ivo Xavier (ivoxavier) wrote :

Sorry for the few info.

1)1.9.2 (Last update 04/09/2015);

2)Only disabled the "twitter trending and the My Activity";

3)Using the stable channel. Currently the ota-7 (v.26);

4)Bq Aquaris e4.5 ubuntu edition;

5)

current build: 26
device name: krillin
channel: ubuntu-touch/stable/bq-aquaris.en
last update: 2015-10-20 08:47:30
version version: 26
version ubuntu: 20151015
version device: 20150821-736d127
version custom: 20150925-901-35-40-vivid

Ivo Xavier (ivoxavier) wrote :
Ivo Xavier (ivoxavier) wrote :

Today, with OTA11, the same happened.

I had disable the Day info in today scope, for a long time. Today I enabled it and this graphic disorder comeback.

The behaviour is still the same. That grey line only appears when the Day info is not visible (when we slide down, to see another infos like twitter feed),but when I return to the top and Day Info is visible again, the grey line is gone. I managed to reproduce this everytime, even if I slide slowly the moment when card Day Info is gone the grey line appears, slide up slowly and boo grey line is gone.

Only a reboot fixed the issue.

Kyle Nitzsche (knitzsche) wrote :

This seems like a unity problem. Adding unity8 to the bug.

Albert Astals Cid (aacid) wrote :

Ah, the good old giant arrow.

Is this something you can reproduce consistently or only happens once in a while?

Hi Albert,

As I mentioned only happens once in a while. But, I'll once again disable
the day info and enable it in a few days to see what happens.

There's any logs I can provide when it happens?

On Tue, Jun 21, 2016 at 2:09 PM, Albert Astals Cid <
<email address hidden>> wrote:

> Ah, the good old giant arrow.
>
> Is this something you can reproduce consistently or only happens once in
> a while?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1508905
>
> Title:
> Graphics disorder, a "claw" appearing
>
> Status in Today Scope:
> New
> Status in unity8 package in Ubuntu:
> New
>
> Bug description:
> Hi,
>
> Currently I have this bug. It was already present in the OTA-6.
> Usually a reboot fix the problem, but after a while it come back
> again.
>
> It only appears ate the bottom of the scope! If I swipe back to the
> top the "claw" fade out.
>
> I've attached a screenshot.
>
> Thanks!
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/today-scope/+bug/1508905/+subscriptions
>

unfortunately there's not any log that would help with this error at this point.

What we really need is a reliable way to make it happen.

Michał Sawicz (saviq) wrote :

We've changed a bunch of things in the icon loader in UITK, marking it Incomplete - please report back if you see this again.

Changed in today-scope:
status: New → Invalid
Changed in unity8 (Ubuntu):
status: New → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for unity8 (Ubuntu) because there has been no activity for 60 days.]

Changed in unity8 (Ubuntu):
status: Incomplete → Expired
Ivo Xavier (ivoxavier) wrote :

Hi @saviq,

Sadly the claw is back again. Today, I've enable the twitter feed in the Today Scope, schooled up and down a few times and this graphic disorder return again, see screenshot. One thing I notice, is that this graph is bigger then previous ones.

Device name: Krillin
OS: OTA12

Changed in unity8 (Ubuntu):
status: Expired → Confirmed
summary: - Graphics disorder, a "claw" appearing
+ Graphics disorder, a large "claw" ('>') appearing
Ivo Xavier (ivoxavier) wrote :

Good morning everybody,

Today this claw/arrow appeared again. There isn't a way to reproduce it exactly the same way everytime, but the behavior is almost the same, at least with me. Scrooling up and down, enable and disable "show results from (...)" click on cards, get back, scooling up and down, enable and disable "show results from (...)" , doing this consistently and the claw/arrow appears. Today Scope is the only one affected by this, I've tried to do the same on NearBy Scope, but nothing happens.

The upcoming refresh of scopes also suffers from this bug?

Changed in canonical-devices-system-image:
status: New → Confirmed

@ivoxavier, I reproduced in music scope, video attached. I triggered while testing video/music scope but I also haven't a way to reproduce yet

Ivo Xavier (ivoxavier) wrote :

For the ones who have this issue, and if a reboot is not convenient, you can unpin the scope, then pin it again and the issue is gone.

@victor-gonzalez-0 I will try this later. Hope next gen Scopes does not suffer from this :).

Big hug to everyone!

Kyle Nitzsche (knitzsche) wrote :

if you have this issue, you can also try this. If it works, please comment the result here:

$ stop unity8-dash
$ sudo rm -f /var/crash/*
$ rm -Rf ~/.cache/QML
$ start unity8-dash

Michał Sawicz (saviq) on 2016-11-09
Changed in canonical-devices-system-image:
status: Confirmed → In Progress
Changed in unity8 (Ubuntu):
status: Confirmed → In Progress
Changed in canonical-devices-system-image:
importance: Undecided → Medium
Changed in unity8 (Ubuntu):
importance: Undecided → Medium
Changed in canonical-devices-system-image:
assignee: nobody → Michał Sawicz (saviq)
milestone: none → 14
Changed in unity8 (Ubuntu):
assignee: nobody → Albert Astals Cid (aacid)
Michał Sawicz (saviq) on 2016-11-10
Changed in canonical-devices-system-image:
milestone: 14 → backlog
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.14+17.04.20161109-0ubuntu1

---------------
unity8 (8.14+17.04.20161109-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Make more CardTool properties readonly
  * Make the > in Dash Section Header be after text (LP: #1508905)
  * Rework Dash Preview column margins
  * Improve LVWPH <-> GenericScopeView interaction (LP: #1508905,
    #1622423)
  * Make the PreviewButtons be of the width of the button and not half
    the total width
  * Fix first column of the preview table to be 25%

  [ Andrea Cimitan ]
  * Remove background under header pagination dots, update dots assets,
    remove dash paper background, update bottom edge asset
  * Few styling changes for cards
  * various tweaks to fonts inside previews
  * More visual tweaks

  [ Brian Douglass ]
  * Add a new setting to enable/disable the launcher

  [ Lukáš Tinkl ]
  * Stabilize test_doubleTapToMaximizeWindow()
  * Enable loading the main Qt catalog which in turn allows for using
    RTL languages
  * Fix the pixelated notification icon by setting sourceSize (LP:
    #1637712)

  [ Michael Terry ]
  * More path lookup fixes for running inside of a snap. (LP: #1629009)

  [ Michael Zanetti ]
  * Added blur and darkening to wallpaper while in spread
  * Fixes in the spread after design review (LP: #1637502, #1638848)
  * More fixes to the unified stages code (LP: #1637205, #1637249,
    #1637258)
  * Delay alt tab for tiny bit in order to avoid flickering on quick alt-
    tabs

  [ Tomás Tormo ]
  * Reload Infographics userdata when the day changes (LP: #1378814)

 -- Michał Sawicz <email address hidden> Wed, 09 Nov 2016 15:10:32 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers